import Qt 4.7

ActivationBasePage
{
	headerString:		context.Localize("ActivationReservedCodeHeader")
	nextButtonEnabled:	true
	helpButtonVisible: 	false


	Image
	{
		id: warningIcon
		
		anchors.horizontalCenter:	parent.horizontalCenter
		anchors.top:				parent.top; anchors.topMargin:40
		
		source:							"../common/images/license/ico_warning_96.png"
	}
	Text
	{
		id: warningText
		
		anchors.left:	parent.left;		anchors.leftMargin:5
		anchors.right:	parent.right;		anchors.rightMargin:5
		anchors.top:	warningIcon.bottom;	anchors.topMargin:25
		horizontalAlignment:			Text.AlignHCenter
		wrapMode:						Text.Wrap
		text:							context.Localize("ActivationReservedCodeTextPart1")
		font:							activationWizard.fontStyles.masterOfActivationButtonsNormalText
	}
	Text
	{
		anchors.left:	parent.left;		anchors.leftMargin:5
		anchors.right:	parent.right;		anchors.rightMargin:5
		anchors.top:	warningText.bottom;	anchors.topMargin:20
		horizontalAlignment:			Text.AlignHCenter
		wrapMode:						Text.Wrap
		text:							context.Localize("ActivationReservedCodeTextPart2")
		font:							activationWizard.fontStyles.masterOfActivationButtonsNormalText
	}	

	function onNext()
	{
		context.StartActivation();
	}
}

