function convert(obj, prop, in_map)
{
	function reportError(msg)
	{
		console.log("Error in convert " + obj + "." + prop + ": " + msg);
		return "Error";
	}
	var count = 0;
	var map = [];
	for (var i in in_map)
	{
		var num = EnumExtension.KeyToValue(i, obj, prop);
		if (num == -1) return reportError("enum doesn't contain '" + i + "'");
		map[num] = in_map[i];
		++count;
	}
	if (EnumExtension.GetCount(obj, prop) != count) 
		reportError("count mismatch have " + count + " but expected " + EnumExtension.GetCount(obj, prop));
	return map[obj[prop]];
}

function getKey(obj, prop)
{
	return EnumExtension.GetKey(obj, prop);
}