import Qt 4.7

Item
{
    visible: false

    property alias standardCaptionFont: standardCaptionFont.font
    property alias standardSmallCaptionFont: standardSmallCaptionFont.font
    property alias standardCommonTextFont: standardCommonTextFont.font
    property alias standardBoldSubHeadingFont: standardBoldSubHeadingFont.font
    property alias standardSectionCaptionFont: standardSectionCaptionFont.font
    property alias standardListBoxFont: standardListBoxFont.font
    property alias standardButtonFont: standardButtonFont.font
    property alias standardComboFont: standardComboFont.font
    property alias standardCheckboxFont: standardCheckboxFont.font
    property alias standardEditBoxFont: standardEditBoxFont.font
    property alias standardEditBoxHintFont: standardEditBoxHintFont.font
    property alias standardWindowCaptionFont: standardWindowCaptionFont.font
    
    Text
    {
        id: standardCaptionFont
        font.pointSize: 18
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardSmallCaptionFont
        font.pointSize: 14
        font.family: "FranklinGothicBookCondTT"
    }

    Text
    {
        id: standardCommonTextFont
        font.pointSize: 8.75
        font.family: "Arial"
    }

    Text
    {
        id: standardBoldSubHeadingFont
        font.pointSize: 11
        font.family: "FranklinGothicMediumTT"
    }

    Text
    {
        id: standardSectionCaptionFont
        font.pointSize: 10
        font.family: "FranklinGothicMediumTT"
    }

    Text
    {
        id: standardListBoxFont
        font.pointSize: 10
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardButtonFont
        font.pointSize: 10
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardComboFont
        font.pointSize: 12
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardCheckboxFont
        font: standardCommonTextFont.font
    }

    Text
    {
        id: standardEditBoxFont
        font.pointSize: 8;
        font.family: "Tahoma";
        font.bold: true
    }

    Text
    {
        id: standardEditBoxHintFont
        font.pointSize: 10
        font.family: "FranklinGothicBookTT"
        font.italic: true;
    }

    Text
    {
        id: standardWindowCaptionFont
        font.pointSize: 8.75
        font.family: "Arial"
    }
}
