import Qt 4.7

Item
{
     property Item target: parent

     property string widthProperty: "width"
     property string heightProperty: "height"

     property bool changeWidth: changeSize
     property bool changeHeight: changeSize
     property bool changeX: changePlace
     property bool changeY: changePlace
     property bool changePlace: changeAll
     property bool changeSize: changeAll
     property bool changeAll: false
     property bool unscaleFont: false

     property real defaultDpi: 96
     property real currentDpi: Window.Dpi
     property real factor: Math.max(currentDpi / defaultDpi, 1)

     Component.onCompleted:
     {
         if (factor <= 1)
             return;
         if (changeWidth)
             with (target)
                 eval(widthProperty + "*= factor")
         if (changeHeight)
             with (target)
                 eval(heightProperty + "*= factor")
         if (changeX)
             target.x *= factor
         if (changeY)
             target.y *= factor
         if (unscaleFont)
             target.font.pointSize /= factor
     }
}
