import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item
{
    property variant fontStyles: Fonts.Online{}
    property variant infoItems    
	property variant context: MainWindow.online
		
    Column
    {
		id: column
        width : parent.width
        height: childrenRect.height

        Text
        {
            text: context.Localize("CloudHeader1")
            font: fontStyles.header1
        }
        Text
        {
            text: context.Localize("CloudHeader2")
            font: fontStyles.header2
        }
        
        Item
        { 
			width: parent.width
            height: 11
		}

        Repeater
        {
            model: infoItems
            height: childrenRect.height

            RightInfoItem
            {
				bodyText: context.Localize(model.body)
            }
        }
        
        Item
        { 
			width: parent.width
			height: 20 
		}
		
        Image 
		{
			width: parent.width
			source: "../common/images/inner/list_separator.png"
		}
    }
    
    Widgets.GrayButton
    {
		function showPanel(panel)
		{
			innersView.show("panelAboutCloudProtection");
		}
		
		anchors.right : parent.right
		anchors.bottom: column.bottom
		anchors.bottomMargin: 15
		
		text: context.Localize("ReadMore")
		onClicked: {  showPanel("panelKsnInfo"); }
    }
}    
