import Qt 4.7
import "../common/widgets" as Widgets

Item
{
	id: view
	objectName: "toolPanel"
	height: mainBackground.height - dashboard.y + greenBottom.height
	// public
	signal activate(string panelName)
	property bool canLeft: false
	property bool canRight: false

	// private
	property int featuresPerRow: 4
	property int rowCount: 3

	GridView
	{
		clip: true
		id: gridView
		property int tabOrder: 303
		width: cellWidth * featuresPerRow
		cellWidth:  Math.floor(parent.width / featuresPerRow)
		cellHeight: Math.floor((parent.height - 30) / rowCount)
		height: cellHeight * rowCount
		anchors.horizontalCenter: parent.horizontalCenter
		anchors.top: parent.top
		anchors.topMargin: 1
		delegate: ToolListItem
		{
			width: gridView.cellWidth;
			height: gridView.cellHeight
			onActivate: view.activate(panelName)
		}
		model: MainWindow.toolsList
		boundsBehavior: Flickable.StopAtBounds
	}
}
